# Uses of Interface
org.apache.commons.math3.genetics.StoppingCondition

Packages that use StoppingCondition
Package
Description
org.apache.commons.math3.genetics
This package provides Genetic Algorithms components and implementations.

## Uses of StoppingCondition in org.apache.commons.math3.genetics

Classes in org.apache.commons.math3.genetics that implement StoppingCondition
Modifier and Type
Class
Description
`class`
`FixedElapsedTime`
Stops after a fixed amount of time has elapsed.
`class`
`FixedGenerationCount`
Stops after a fixed number of generations.
Methods in org.apache.commons.math3.genetics with parameters of type StoppingCondition
Modifier and Type
Method
Description
`Population`
GeneticAlgorithm.`evolve(Population initial, StoppingCondition condition)`
Evolve the given population.